#{extends 'border.html'/}
<div class="container">
#{form @katalog.PermohonanPembaruanCtr.beritaAcaraKlarifSubmit(), method:'POST', class:'form-horizontal save', enctype:'multipart/form-data'}
    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{katalog.PermohonanPembaruanCtr.index()}">&{'permohonan_pembaruan.label'}</a></li>
                <li class="active">&{'ba_klarifikasi.label'}</li>
            </ol>
            <!-- End Breadcrumb -->
        </div>
    </div>

    <!-- Toolbar -->
    <div class="row">
        <div class="col-md-12">
            <div class="toolbar">
                #{backButton action:@katalog.PermohonanPembaruanCtr.index()/}
                #{if showButtonSimpan && !aktifUser.isProvider()}
                    #{if pembBeritaAcara?.blb_id_content == null}
                        #{if allowAddBA}
                        #{saveButton/}
                        #{/if}
                    #{/if}
                #{/if}
            </div>
            #{if !allowAddBA}
                <div class="alert alert-danger alert-dismissible">
                    <button class="close" data-dismiss="alert" aria-label="Close">
                        <i class="fa fa-close" aria-hidden="true"></i>
                    </button>
                    #{if tipeJadwal == 0}<p>&{'ba_belum_boleh_diunggah.label'} &{'ba_belum_alasan_0.label'}</p>#{/if}
                    #{if tipeJadwal == 1}<p>&{'ba_belum_boleh_diunggah.label'} &{'ba_belum_alasan_1.label'}</p>#{/if}
                    #{if tipeJadwal == 2}<p>&{'ba_belum_boleh_diunggah.label'} &{'ba_belum_alasan_2.label'}</p>#{/if}
                    #{if tipeJadwal == 3}<p>&{'ba_belum_boleh_diunggah.label'} &{'ba_belum_alasan_3.label'}</p>#{/if}

                </div>
            #{/if}
            #{alert /}
            <div id="alert-message"></div>
        </div>
    </div>
    <!-- End Toolbar -->

    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-body">
                    <input type="hidden" name="beritaAcara.id" id="ba_id" value="${pembBeritaAcara?.id}">
                    <input type="hidden" id="file_id" value="${pembBeritaAcara?.blb_id_content}">
                    <input type="hidden" name="beritaAcara.permohonan_pembaruan_id" value="${id}">
                    <div class="form-group required">
                        <label class="col-md-3 control-label">&{'unggah.label'} &{'berita_acara.label'}</label>
                        <div class="col-md-4">
                            <input type='file' name="file" id="file" accept=".pdf,.doc,.docx,.zip" class="form-control" required #{if !allowAddBA} disabled #{/if}/>
                        </div><br><br>
                        <div class="col-md-4 col-lg-offset-3">
                            <div class="error-image" style="display: none;"><span style="color: red;">&{'file_ukuran_lebih_dari.label'} 10 MB !</span><br></div>
                            <div class="error-image-extention" style="display: none;"><span style="color: red;">&{'format_file_salah.label'} !</span><br></div>
                            <span style='font-size:20px;'>&#8226;</span> Type : (<span style="color: red">.pdf|.doc|.docx|.zip</span>)
                            <br>
                            <span style='font-size:20px;'>&#8226;</span> Size : (<span style="color: red"> Max. 10 MB </span>)
                        </div>
                    </div>
                    #{if pembBeritaAcara?.blb_id_content != null}
                        <div class="form-group">
                            <label class="col-md-3 control-label"></label>
                            <div class="col-md-9">
                                <ul id="files" class="row list-group files">
                                    <li class="list-group-item col-md-5" style="margin-right: 1em; margin-bottom: 1em; max-height: 52px;">
                                        <div class="col-md-10">
                                            <div class="dok-file" style="padding-top: 7px;"><a href="${pembBeritaAcara?.getFileUrl()}">${pembBeritaAcara?.nama_file}</a>
                                            </div>
                                        </div>
                                        #{if showButtonSimpan && !aktifUser.isProvider()}
                                        <div class="col-md-2">
                                            <a class="removeDok pull-right" versi="0" fileid="${pembBeritaAcara?.blb_id_content}" href="javascript:void(0)">
                                                <i class="fa fa-trash-o"></i>
                                            </a>
                                        </div>
                                        #{/if}
                                        <div class="clearfix"></div>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    #{/if}
                </div>
            </div>
        </div>
    </div>
#{/form}
</div>

#{validationPackage/}
#{set 'moreScripts'}
<script type="text/javascript">
    $(document).ready(function () {
        var fileId = $('#file_id').val();
        var baId = $('#ba_id').val();

        if(fileId){
            $('#file').prop('disabled',true);
        }

        $('.form-horizontal').validate({
            highlight: function(element) {
                $(element).parents('.form-group').addClass('has-error');
            },
            unhighlight: function(element) {
                $(element).parents('.form-group').removeClass('has-error');
            }
        });

        $("body").on("click",".removeDok",function(){
            var btId = $(this).attr("fileid");
            $.ajax({
                url: '@{katalog.PermohonanPembaruanCtr.removeDokumenBeritaAcara()}',
                data: {"baId":baId,
                    "btId": fileId},
                type: 'GET',
                success: function () {
                    $('#alert-message').attr('class', 'alert alert-success').html("Berhasil menghapus file.");
                    $(".files").remove();
                    $('#file').prop('disabled',false);
                    location.reload();
                },
                error: function () {
                    $('#alert-message').attr('class', 'alert alert-danger').html("Gagal menghapus file.");
                }
            });
        });
    });
</script>
<script type="text/javascript">
    $('#file').bind('change', function() {
        var countError = 0;
        $('.error-image').fadeOut(500);
        $('.error-image-extention').fadeOut(500);

        var fileSize = document.getElementById("file").files[0];
        var sizeInMb = (fileSize.size/1024)/1024;
        var sizeLimit= 10;
        if (sizeInMb > sizeLimit) {
            countError = 1;
            $('.error-image').fadeIn(500);
            $('.error-image-extention').fadeOut();
        }

        var filename = $("#file").val();
        var extension = filename.replace(/^.*\./, '');
        if (extension == filename) {
            extension = '';
        } else {
            extension = extension.toLowerCase();
        }
        switch (extension) {
            case 'pdf':
            case 'doc':
            case 'docx':
            case 'zip':
                break;

            default:
                countError = 1;
                $('.error-image').fadeOut(500);
                $('.error-image-extention').fadeIn(500);
        }

        if (countError){
            $('#file').val('');
        }
    });
</script>
#{/set}